<script setup>
import { reactive, inject } from 'vue';
import { onLaunch, onShow, onHide } from '@dcloudio/uni-app';
import useUserStore from './stores/useUserStore';
import useDictStore from './stores/useDictStore';
const { $api, navTo } = inject('globalFunction');

onLaunch((options) => {
    useDictStore().getDictData();
    uni.onTabBarMidButtonTap(() => {
        uni.navigateTo({
            url: '/pages/chat/chat',
        });
    });

    let token = uni.getStorageSync('token') || ''; // 同步获取 缓存信息
    if (token) {
        useUserStore()
            .loginSetToken(token)
            .then(() => {
                $api.msg('登录成功');
            });
    } else {
        uni.redirectTo({
            url: '/pages/login/login',
        });
    }
});
onShow(() => {
    console.log('App Show');
});
onHide(() => {
    console.log('App Hide');
});
</script>

<style>
/*每个页面公共css */
@import '@/common/common.css';
/* 修改pages tabbar样式 H5有效 */
.uni-tabbar .uni-tabbar__item:nth-child(4) .uni-tabbar__bd .uni-tabbar__icon {
    height: 100% !important;
    width: 80rpx !important;
}
</style>
